Index: doc/src/sgml/backup.sgml
===================================================================
RCS file: /projects/cvsroot/pgsql/doc/src/sgml/backup.sgml,v
retrieving revision 2.92
diff -c -r2.92 backup.sgml
*** doc/src/sgml/backup.sgml	30 Oct 2006 00:08:02 -0000	2.92
--- doc/src/sgml/backup.sgml	3 Nov 2006 11:18:06 -0000
***************
*** 518,532 ****
      linkend="guc-archive-command"> configuration parameter, which in practice
      will always be placed in the <filename>postgresql.conf</filename> file.
      In this string,
!     any <literal>%p</> is replaced by the absolute path of the file to
!     archive, while any <literal>%f</> is replaced by the file name only.
      Write <literal>%%</> if you need to embed an actual <literal>%</>
      character in the command.  The simplest useful command is something
      like
  <programlisting>
  archive_command = 'cp -i %p /mnt/server/archivedir/%f &lt;/dev/null'
  </programlisting>
!     which will copy archivable WAL segments to the directory
      <filename>/mnt/server/archivedir</>.  (This is an example, not a 
      recommendation, and may not work on all platforms.)
     </para>
--- 518,532 ----
      linkend="guc-archive-command"> configuration parameter, which in practice
      will always be placed in the <filename>postgresql.conf</filename> file.
      In this string,
!     any <literal>%p</> is replaced by the relative path of the file to
!     the database data directory, while any <literal>%f</> is replaced by the file name only.
      Write <literal>%%</> if you need to embed an actual <literal>%</>
      character in the command.  The simplest useful command is something
      like
  <programlisting>
  archive_command = 'cp -i %p /mnt/server/archivedir/%f &lt;/dev/null'
  </programlisting>
!     which will copy archivable WAL segments from pg_xlog/ to the directory
      <filename>/mnt/server/archivedir</>.  (This is an example, not a 
      recommendation, and may not work on all platforms.)
     </para>
***************
*** 597,603 ****
      In writing your archive command, you should assume that the file names to
      be archived may be up to 64 characters long and may contain any
      combination of ASCII letters, digits, and dots.  It is not necessary to
!     remember the original full path (<literal>%p</>) but it is necessary to
      remember the file name (<literal>%f</>).
     </para>
  
--- 597,603 ----
      In writing your archive command, you should assume that the file names to
      be archived may be up to 64 characters long and may contain any
      combination of ASCII letters, digits, and dots.  It is not necessary to
!     remember the original relative path (<literal>%p</>) but it is necessary to
      remember the file name (<literal>%f</>).
     </para>
  
***************
*** 915,921 ****
      WAL file segments.  Like the <varname>archive_command</>, this is
      a shell command string.  It may contain <literal>%f</>, which is
      replaced by the name of the desired log file, and <literal>%p</>,
!     which is replaced by the absolute path to copy the log file to.
      Write <literal>%%</> if you need to embed an actual <literal>%</>
      character in the command.  The simplest useful command is
      something like
--- 915,922 ----
      WAL file segments.  Like the <varname>archive_command</>, this is
      a shell command string.  It may contain <literal>%f</>, which is
      replaced by the name of the desired log file, and <literal>%p</>,
!     which is replaced by the relative path to the database data
!     directory to copy the log file to.
      Write <literal>%%</> if you need to embed an actual <literal>%</>
      character in the command.  The simplest useful command is
      something like
***************
*** 1003,1010 ****
          the WAL file series. This parameter is required.
          Any <literal>%f</> in the string is
          replaced by the name of the file to retrieve from the archive,
!         and any <literal>%p</> is replaced by the absolute path to copy
!         it to on the server.
          Write <literal>%%</> to embed an actual <literal>%</> character
          in the command. 
         </para>
--- 1004,1012 ----
          the WAL file series. This parameter is required.
          Any <literal>%f</> in the string is
          replaced by the name of the file to retrieve from the archive,
!         and any <literal>%p</> is replaced by the relative path to copy
!         it to on the server (Under normal circumstances this will be
!         the pg_xlog directory, located in the database data directory).
          Write <literal>%%</> to embed an actual <literal>%</> character
          in the command. 
         </para>
